#
# spec file for package python
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%global modname caldav
Name:           python-%{modname}
Version:        0.5.0
Release:        8.1
Summary:        CalDAV (RFC4791) client library for Python
License:        GPL-3.0+ and Apache-2.0
Group:          Development/Languages/Python
Url:            https://pypi.python.org/pypi/%{modname}
Source:         https://files.pythonhosted.org/packages/source/c/caldav/%{modname}-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module lxml}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  %{python_module vobject}
BuildRequires:  python-rpm-macros
Requires:       python-lxml
Requires:       python-nose
Requires:       python-requests
Requires:       python-six
Requires:       python-vobject
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
This project is a CalDAV (RFC4791) client library for Python.

It can read all the tags, but only write a few things (create calendars,
events, modify events and properties).

%prep
%setup -q -n %{modname}-%{version}

%build
%python_build

%install
%python_install

# Remove test files
%python_expand rm -rf %{buildroot}%{$python_sitelib}/tests/

%files %{python_files}
%defattr(-,root,root)
%doc COPYING.APACHE COPYING.GPL
%{python_sitelib}/%{modname}-%{version}-py*.egg-info
%{python_sitelib}/%{modname}/

%changelog
* Mon Jul 10 2017 jengelh@inai.de
- Drop history lesson and future goal wording from description.
* Tue Jun 13 2017 okurz@suse.com
- Update to 0.5.0
- Convert spec file to singlespec
* Fri Jun  3 2016 toddrme2178@gmail.com
- Update to 0.4.0
  * No upstream changelog
- Clean up spec file
* Wed Oct 23 2013 axel.braun@gmx.de
- Initial package ( version 0.1.12 )
